Page MenuHomePhabricator

Test cookie blocking on Test Wikipedia
Closed, ResolvedPublic2 Story Points

Description

Once https://gerrit.wikimedia.org/r/#/c/332737/ is deployed to Test Wikipedia, let's test it thoroughly (before turning it on elsewhere).

Event Timeline

kaldari created this task.Feb 14 2017, 10:17 PM
kaldari renamed this task from Enable and test cookie blocking on English Wikipedia to Test cookie blocking on Test Wikipedia.Feb 14 2017, 10:20 PM
kaldari added a project: Community-Tech-Sprint.
kaldari set the point value for this task to 2.
Ladsgroup added a subscriber: Ladsgroup.
kaldari added a comment.EditedMar 24 2017, 4:02 AM

@MusikAnimal: This isn't actually assigned to anyone (although it's in In Development). Are you taking it?

@kaldari Sure! We need to wait till Tuesday though, right?

@MusikAnimal: Yeah, last Tuesday :)

Code was merged on the 20th and got deployed to Test Wikipedia on the 21st.

@kaldari T152952 was tagged with MW-1.29-release (WMF-deploy-2017-03-28_(1.29.0-wmf.18)), which is what I was going off of. However I just did a quick test on testwiki and sure enough, I see no localStorage entry for the block, but I do see the cookie. Maybe ReleaseTaggerBot was drunk? Anyway I will get a start on formal testing!

So with the localStorage out of the way, it seems testing this is significantly easier. The only *potential* issue I found was the cookie was not restored when attempting to edit from an autoblocked account. So:

  • Blocked MusikPuppet
  • MusikPuppet logs out, changes IP and logs in as MusikPuppet2
  • MusikPuppet2 is autoblocked thanks to the cookie
  • MusikPuppet2 deletes cookies
  • They still can't edit because the new IP was autoblocked, but the cookie was not restored

Is this intentional? Even if it is not, I don't think it's a big deal, or even a blocker. Once you delete cookies you're past the whole premise of the cookie block.

MusikAnimal added a comment.EditedMar 24 2017, 11:32 PM

The same is true without changing IPs:

  • Blocked MusikPuppet
  • MusikPuppet logs out, deletes cookies, logs in as MusikPuppet2
  • They are autoblocked, but the cookie isn't restored
kaldari closed this task as Resolved.Mar 25 2017, 12:17 AM

Sounds like it's basically working, but perhaps not as foolproof as it could be, which is OK. The more "viral" we make it, the more difficult it is for us to keep it from going haywire (and to test). I'm satisfied with this for an initial roll-out.

MusikAnimal moved this task from Untriaged to Archive on the Community-Tech board.Mar 30 2017, 2:15 PM